Page MenuHomePhabricator

annotate: use unfiltered repo if we're annotating the working copy
AbandonedPublic

Authored by martinvonz on Oct 22 2019, 1:55 PM.

Details

Reviewers
durin42
marmoute
Group Reviewers
hg-reviewers
Summary

Same reasoning as in the previous patch. Speeds up `hg blame
mercurial/phases.py` from 0.365s to 0.304s.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

martinvonz created this revision.Oct 22 2019, 1:55 PM

Do you have performance number for this ?

martinvonz edited the summary of this revision. (Show Details)Nov 12 2019, 4:32 PM
martinvonz updated this revision to Diff 18046.
durin42 accepted this revision.Nov 13 2019, 6:08 PM
This revision is now accepted and ready to land.Nov 13 2019, 6:08 PM
marmoute requested changes to this revision.Apr 22 2020, 11:59 AM

This was superseeded by another mechanism and can be safely abandonned.

This revision now requires changes to proceed.Apr 22 2020, 11:59 AM
martinvonz abandoned this revision.Apr 22 2020, 12:01 PM

I thought I already had abandoned this, but apparently not :)